/* eslint-disable camelcase */
import PropTypes from 'prop-types';
import ScriptLoader from '@s-ui/react-script-loader';
import { jsx as _jsx } from "react/jsx-runtime";
var getGoogleOneTap = function getGoogleOneTap() {
  var _window$google;
  return window && ((_window$google = window.google) == null ? void 0 : _window$google.accounts);
};
var googleOneTapUrl = 'https://accounts.google.com/gsi/client';
export default function GoogleOneTapLoader(_ref) {
  var render = _ref.render,
    timeoutRender = _ref.timeoutRender,
    _ref$onTimeout = _ref.onTimeout,
    onTimeout = _ref$onTimeout === void 0 ? function () {
      return null;
    } : _ref$onTimeout,
    _ref$detectionDelay = _ref.detectionDelay,
    detectionDelay = _ref$detectionDelay === void 0 ? 15000 : _ref$detectionDelay;
  return /*#__PURE__*/_jsx(ScriptLoader, {
    src: googleOneTapUrl,
    isAsync: true,
    verifier: getGoogleOneTap,
    render: render,
    timeoutRender: timeoutRender,
    onTimeout: onTimeout,
    detectionDelay: detectionDelay
  });
}
GoogleOneTapLoader.displayName = 'GoogleOneTapLoader';